/* some style */
body {
    background-color: #eff6ff;
    font-family: sans-serif;
}
.factor-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(60px,1fr));
    gap: 10px;
    margin-top: 20px;
}
.operation-grid {
    display: grid;
    grid-template-columns: repeat(4,minmax(60px,1fr));
    gap: 10px;
    margin-top: 20px;
}
.title {
    color: #00796b; /* Darker teal text */
}
.problem-string {
    font-size: xx-large;
    font-weight: bold;
}
.problem-number {
    font-size: large;
}
.setup p {
    font-size: large;
}
.finished p {
    font-size: large;
}
.feedback {
    font-size: large;
}
button {
    color: white;
    background-color: #00a896;
    font-family: sans-serif;
    border-radius: 6px;
    font-size: medium;
    padding: 6px ;
}
button:disabled{
    background-color: #e0f2f7;
    color: #00796b;
}
button.factor, button.operation{
    background-color: none;
    box-shadow:none;
    border-radius: 6px;
    background-color: #e0f2f7;
    border: 2px solid transparent;
    transition: background-color 0.2s ease, border-color 0.2s ease, box-shadow 0.2s ease;
    color: #16988d;
}
button.selected {
    background-color: #80cbc4; /* A medium teal for checked background */
    border-color: #00796b; /* Darker teal border when checked */
    box-shadow: 0 0 0 3px rgba(0, 121, 107, 0.3); /* Ring effect */
    font-weight: bold;
    color: #00796b; /* Darker teal text */
}
.hidden {
    visibility: hidden;
}
.setup{
    justify-content: center;
    text-align: center;
}
.quiz {
    justify-content: center;
    text-align: center;
}
.container {
    justify-content: center;
    text-align: center;
    background-color: #ffffff;
    border: 2px solid #20c997; /* Teal border */
    border-radius: 20px;
    padding: 10px;

    width: 90vw;
    margin: 0 auto;
}
img.finished-img {
  max-width: 66vw;    /* at most 66% of viewport width */
  max-height: 66vh;   /* at most 66% of viewport height */
  width: auto;        /* let browser choose width to preserve aspect ratio */
  height: auto;       /* let browser choose height to preserve aspect ratio */
}